1

For some time now (a month or so, I reckon), I get a strange error message after running the paradox-upgrade-packages command:

Contacting host: raw.githubusercontent.com:443
Importing package-keyring.gpg...done
Contacting host: melpa.org:80 [2 times]
Contacting host: marmalade-repo.org:80 [2 times]
gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly terminated.
Contacting host: orgmode.org:80
Contacting host: elpa.gnu.org:80 [2 times]
paradox--github-parse-response-code: Tried contacting Github, but I can't understand the result.  See *Paradox Github* buffer for the full result

My paradox config is this one:

;; ------------------ paradox -----------------------
(use-package paradox
  :ensure t
  :bind (("C-x C-u" . paradox-upgrade-packages))
  :config
  (setq paradox-execute-asynchronously t
    paradox-github-token "[private]"
    paradox-automatically-star t
    )
  :commands
  (paradox-upgrade-packages paradox-list-packages)
)

This is exactly the same config I have in my Macbook Pro machine, with no problems at all. However, in my Xubuntu 15.10 machine (with GNU Emacs 24.5.1) I get the said error message.

Any ideas?

  • Did you "See Paradox Github buffer for the full result"? – nanny Nov 30 '15 at 19:30
  • No such buffer is created, I'm afraid. – NVaughan Nov 30 '15 at 19:36
  • An the Paradox Report buffer is created by empty. – NVaughan Nov 30 '15 at 19:37
1

I finally managed to fix this. It appears to have been an SSH-key problem. I followed the instructions found here to generate a new SSH key for use with GitHub, and the problem disappeared.

|improve this answer|||||
  • Could you please accept your own answer so we can mark this question as answered? – Dan Feb 17 '16 at 0:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.